Bug 3893 - Optimization is needed for dynamic address assignments when link is down
: Optimization is needed for dynamic address assignments when link is down
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/net-scripts)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-03-27 15:42 by
Modified: 2005-07-13 15:45 (History)


Attachments
Automatic Link detection for dynamic address assignments mode (1.23 KB, patch)
2004-03-27 15:43, Alexander Bokovoy
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-03-27 15:42:03
When interface link is down, it makes no sense to initiate DHCP or ZCIP
discovery which may take long time. As link is known to be down (via MII or
Ethtool) prior to discovery start, we can avoid boot delay by quering link
status before initiating the discovery. It gives better response time for user
especially with laptops which have both ethernet and WiFi links but using only
one of them for the moment.

Patch is attached. It uses /sbin/ifstatus from ifplugd package (if installed) to
report link status. It reports 'link down' only if ifstatus says so. Otherwise
it reports that link is up and discovery mode should start. Doing so we avoid
possible problems with old hardware or drivers which do not support either MII
or Ethtool interfaces as /sbin/ifstatus checks all available APIs.
------- Comment #1 From 2004-03-27 15:43:37 -------
Created an attachment (id=371) [details]
Automatic Link detection for dynamic address assignments mode

Depends on ifplugd package (if installed). No change in behaviour compared to
current situation if ifplugd is absent.
------- Comment #2 From 2004-03-28 00:51:33 -------
Merged into upcoming 0.4.4.
------- Comment #3 From 2004-03-28 17:04:55 -------
Note that ifstatus was renamed to ifplugstatus: 
 
Tue Feb 10 2004: Version 0.22 released, changes include: 
rename ifstatus to ifplugstatus due to namespace collision, minor fixes. 
 
------- Comment #4 From 2004-04-24 18:58:36 -------
Пропущено в 0.4.4, но безвредно. Исправлено в 0.4.5.